apiVersion: apps/v1
kind: Deployment
metadata:
  name: daprservice01
  namespace: dapr-demo
  labels:
    app: daprservice01
spec:
  replicas: 2
  selector:
    matchLabels:
      app: daprservice01
  template:
    metadata:
      labels:
        app: daprservice01
      annotations:
        dapr.io/enabled: "true"
        dapr.io/app-id: "daprservice01"
        dapr.io/app-port: "80"
        dapr.io/sidecar-liveness-probe-delay-seconds: "10"
        dapr.io/sidecar-readiness-probe-delay-seconds: "10"
        dapr.io/log-as-json: "true"
        dapr.io/config: "zipkin" 
    spec:
      containers:
        - name: daprservice01
          image: daprservice01
          ports:
            - containerPort: 80
          imagePullPolicy: IfNotPresent
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: daprservice02
  namespace: dapr-demo
  labels:
    app: daprservice02
spec:
  replicas: 1
  selector:
    matchLabels:
      app: daprservice02
  template:
    metadata:
      labels:
        app: daprservice02
      annotations:
        dapr.io/enabled: "true"
        dapr.io/app-id: "daprservice02"
        dapr.io/app-port: "80"
        dapr.io/sidecar-liveness-probe-delay-seconds: "10"
        dapr.io/sidecar-readiness-probe-delay-seconds: "10"
        dapr.io/config: "zipkin"
    spec:
      containers:
        - name: daprservice02
          image: daprservice02
          ports:
            - containerPort: 80
          imagePullPolicy: IfNotPresent
---
apiVersion: v1
kind: Service
metadata:
  name: daprservice02
  namespace: dapr-demo
spec:
  type: NodePort
  selector:
    app: daprservice02
  ports:
    - port: 80
      targetPort: 80
      nodePort: 31006
